package com.tzld.piaoquan.longarticle.model.bo;

import com.tzld.piaoquan.longarticle.model.vo.GzhArticleSortTaskParam;
import com.tzld.piaoquan.longarticle.model.vo.MiniprogramInsertTaskParam;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.List;

@Getter
@Setter
@Accessors(chain = true)
public class LongArticleSystemPlan {

    //"计划ID")
    private String id;
    //"计划名称")
    private String name;
    //"操作账号")
    private List<LongArticleSystemPlanAccount> accountList;
    //"发布频率(0-每天，1-固定日期)")
    private Integer publishRate;
    //"发布频率固定-发布日期 星期 数组[1,2,3,4,5,6,7]")
    private String publishDate;
    //"发布窗口时间-开始时间")
    private String publishWindowStart;
    //"发布频率固定-结束时间")
    private String publishWindowEnd;
    //"发布时间间隔(单位：分钟)")
    private Integer publishTimeInterval;
    //"发布数量")
    private Integer publishNum;
    //"每次发布数量（公众号每次推送文章数量）")
    private Integer publishPerNum;
    //"每次最少发布数量（公众号每次最少推送文章数量）")
    private Integer publishPerMinNum;
    //"公众号-推送时间")
    private String publishPushTime;
    //"推送方式(公众号)，1-手动推送；2-自动群发；3-自动发表；4-自动发布；5-分组群发；6-触发推送")
    private Integer pushType;
    //"小程序插入开关(0-关闭 1-打开)")
    private Integer miniprogramInsertFlag;
    //"小程序插入任务")
    private List<MiniprogramInsertTaskParam> miniprogramInsertTasks;
    //"公众号文章排序任务")
    private List<GzhArticleSortTaskParam> gzhArticleSortTask;
}
